# eric3.DocumentationTools.APIGenerator

Module implementing the builtin API generator.

### Classes

APIGenerator | Class implementing the builtin documentation generator.

### Functions

None

## APIGenerator

Class implementing the builtin documentation generator.

### Derived from

None

### Methods

APIGenerator | Constructor
addClassesAPI | Private method to generate the document section with details about classes.
addFunctionsAPI | Private method to generate the document section with details about functions.
addMethodsAPI | Private method to generate the method details section.
genAPI | Method to generate the source code documentation.

### APIGenerator (Constructor)

APIGenerator(module)

Constructor

module
  The information of the parsed Python file.

### APIGenerator.addClassesAPI

addClassesAPI()

Private method to generate the document section with details about classes.

Returns:
  The classes details section. (string)

### APIGenerator.addFunctionsAPI

addFunctionsAPI()

Private method to generate the document section with details about functions.

Returns:
  The functions details section. (string)

### APIGenerator.addMethodsAPI

addMethodsAPI(className)

Private method to generate the method details section.

classname
  Name of the class containing the method. (string)

Returns:
  The method details section. (string)

### APIGenerator.genAPI

genAPI()

Method to generate the source code documentation.

Returns:
  The API information. (string)

Up